GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

Get visibility overview GETGet visibility by country GETGet visibility heatmap GET
Visibility

Get visibility by country GET

The brand's visibility per response country.

List prompts GET

List a brand's prompts, filtered, sorted and paged.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Visibility

Get visibility heatmap

GET
/brands/{brandId}/dashboard/heatmap

A metric pivoted by two of brands, models, topics and countries.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Query Parameters

engines?string

Comma-separated engine slugs

Lengthlength <= 500
types?string

Comma-separated prompt types

Lengthlength <= 200
intents?string

Comma-separated prompt intents

Lengthlength <= 200
topics?string

Comma-separated topic ids

Lengthlength <= 2000
countries?string

Comma-separated ISO country codes, lowercase

Lengthlength <= 1000
from?string

Answered on or after this UTC date; omit for all time

Match^\d{4}-\d{2}-\d{2}$
to?string

Answered on or before this UTC date; omit for today

Match^\d{4}-\d{2}-\d{2}$
rows?string
Default"brands"
Value in"brands""models""topics""countries"
cols?string
Default"models"
Value in"brands""models""topics""countries"
metric?string
Default"visibility"
Value in"visibility""sentiment""position""voice"

Response Body

Row and column items with a value per cell

application/json
  1. response
  1. response
  2. …
rows*array<>
cols*array<>
cells*array<array<number|null>>

Values by row then column; null without data

tracked*array<>
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/dashboard/heatmap'
Example Response
{  "rows": [    {      "key": "string",      "label": "string",      "color": "string"    }  ],  "cols": [    {      "key": "string",      "label": "string",      "color": "string"    }  ],  "cells": [    [      0    ]  ],  "tracked": [    {      "key": "string",      "name": "string",      "domain": "string",      "logoUrl": "string",      "isBrand": true    }  ]}

Get visibility by country GET

The brand's visibility per response country.

List prompts GET

List a brand's prompts, filtered, sorted and paged.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/dashboard/heatmap'
{
  "rows": [
    {
      "key": "string",
      "label": "string",
      "color": "string"
    }
  ],
  "cols": [
    {
      "key": "string",
      "label": "string",
      "color": "string"
    }
  ],
  "cells": [
    [
      0
    ]
  ],
  "tracked": [
    {
      "key": "string",
      "name": "string",
      "domain": "string",
      "logoUrl": "string",
      "isBrand": true
    }
  ]
}